﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Chart_print.aspx.cs" Inherits="Chart" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server"></telerik:RadScriptManager>

		<div id="divOptions">
			<asp:Button ID="Button1" Text="print the chart" OnClientClick="printChart(); return false;" runat="server" />
			<br />
			Some dummy options
			<br />
			container
		</div>

		<div id="divChart" style="width: 800px; height: 500px">
			<telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Width="800" Height="500"
				Transitions="true">
				<Appearance>
					<FillStyle BackgroundColor="White" />
				</Appearance>
				<ChartTitle Text="Browser Usage for April 2012">
					<Appearance Align="Center" BackgroundColor="White" Position="Top" />
				</ChartTitle>
				<Legend>
					<Appearance BackgroundColor="White" Position="Right" Visible="true" />
				</Legend>
				<PlotArea>
					<Appearance>
						<FillStyle BackgroundColor="White" />
					</Appearance>
					<Series>
						<telerik:PieSeries StartAngle="90">
							<LabelsAppearance Position="Circle" DataFormatString="{0} %" />
							<TooltipsAppearance DataFormatString="{0} %" />
							<Items>
								<telerik:SeriesItem BackgroundColor="#ff9900" Exploded="true" Name="Internet Explorer"
									YValue="18.3" />
								<telerik:SeriesItem BackgroundColor="#cccccc" Exploded="false" Name="Firefox" YValue="35.8" />
								<telerik:SeriesItem BackgroundColor="#999999" Exploded="false" Name="Chrome" YValue="38.3" />
								<telerik:SeriesItem BackgroundColor="#666666" Exploded="false" Name="Safari" YValue="4.5" />
								<telerik:SeriesItem BackgroundColor="#333333" Exploded="false" Name="Opera" YValue="2.3" />
							</Items>
						</telerik:PieSeries>
					</Series>
				</PlotArea>
			</telerik:RadHtmlChart>
		</div>

		<div id="divGrid">
			<telerik:RadGrid runat="server" ID="RadGrid1" OnNeedDataSource="RadGrid1_NeedDataSource"></telerik:RadGrid>
		</div>


		<script type="text/javascript">
			//$telerik.$ is the jQuery that comes with the RadControls
			//It can be assigned to a shorter variable name or external jQuery can be used

			function printChart() {
				//Hide components but show chart
				document.getElementById("divGrid").style.display = 'none';
				document.getElementById("divOptions").style.display = 'none';
				document.getElementById("divChart").style.display = 'block';

				//Call the browser print method
				window.print();

				//Show components
				document.getElementById("divGrid").style.display = 'block';
				document.getElementById("divOptions").style.display = 'block';
				document.getElementById("divChart").style.display = 'block';
			}
		</script>
	</form>
</body>
</html>

